import React, { useState, useEffect } from 'react'
import { Picker } from '@tarojs/components'
import { AtList, AtListItem } from 'taro-ui'
import request, { apis } from '@/utils/request'
import { useModel } from '@/store'
import '@/assets/css/reset.less'
import '@/assets/css/iconfont.less'
import './index.less'

export default function YeZhuRenZheng () {

  const { user } = useModel('user')
  const [Level1Value] = useState(user.orgId)
  const [Level2Value, setLevel2Value] = useState(null)
  const [Level2List, setLevel2List] = useState([])
  const [Level3Value, setLevel3Value] = useState(null)
  const [Level3List, setLevel3List] = useState([])
  const [Level4Value, setLevel4Value] = useState(null)
  const [Level4List, setLevel4List] = useState([])
  const [Level5Value, setLevel5Value] = useState(null)
  const [Level5List, setLevel5List] = useState([])

  useEffect(() => {
    GetLevel2List()
  }, [Level1Value])

  useEffect(() => {
    GetLevel3List(Level2List)
  }, [Level2Value])

  const GetLevel2List = () => {
    request({ ...apis.getRenZhengAddressList, params: { orgId: user.orgId } }).then((res) => {
      setLevel2List(res || [])
      if (res !== null && res.length > 0) {
        setLevel2Value(0)
      }
    })
  }

  const GetLevel3List = (list = []) => {
    if (Level2Value !== null) {
      request({ ...apis.getRenZhengAddressList, params: { phaseId: list[Level2Value].id } }).then((res) => {
        setLevel3List(res || [])
        if (res !== null && res.length > 0) {
          setLevel3Value(0)
        }
      })
    }
  }

  const Level2Change = (e) => {
    console.log(e)
  }

  return (
    <view className='YeZhuRenZheng'>
      <view className='Form'>
        <Picker mode='selector' range={Level2List} onChange={Level2Change}>
          <AtList>
            <AtListItem title='期号' />
          </AtList>
        </Picker>
        {/* <view className='flex-h'>
          <text className='iconfont iconxingming'></text>
          <Input className='flex-item' placeholder='请输入您的姓名' value={FormData.RealName} onInput={(e) => { setFormData({ ...FormData, RealName: e.detail.value }) }}></Input>
        </view>
        <view className='flex-h'>
          <text className='iconfont iconshenfenzheng'></text>
          <Input type='idcard' className='flex-item' placeholder='请输入您的身份证号码' value={FormData.IdCard} onInput={(e) => { setFormData({ ...FormData, IdCard: e.detail.value }) }}></Input>
        </view>
        <view className='flex-h'>
          <text className='iconfont iconshouji'></text>
          <Input type='idcard' className='flex-item' placeholder='请输入您的手机号码' value={FormData.Phone} onInput={(e) => { setFormData({ ...FormData, Phone: e.detail.value }) }}></Input>
        </view>
        <view className='flex-h'>
          <text className='iconfont iconyanzhengma'></text>
          <Input type='idcard' className='flex-item' placeholder='请输入验证码'></Input>
          <text className='active'>获取验证码</text>
        </view>
        <view className='flex-h'>
          <Input className='flex-item' placeholder='请输入小区名称' value={FormData.OrgName} onInput={(e) => { setFormData({ ...FormData, OrgName: e.detail.value }) }}></Input>
        </view>
        <view className='flex-h'>
          <Input className='flex-item' placeholder='请输入期号' value={FormData.Stages} onInput={(e) => { setFormData({ ...FormData, Stages: e.detail.value }) }}></Input>
        </view>
        <view className='flex-h'>
          <Input className='flex-item' placeholder='请输入楼栋号' value={FormData.BuildingNum} onInput={(e) => { setFormData({ ...FormData, BuildingNum: e.detail.value }) }}></Input>
        </view>
        <view className='flex-h'>
          <Input className='flex-item' placeholder='请输入单元号' value={FormData.UnitNum} onInput={(e) => { setFormData({ ...FormData, UnitNum: e.detail.value }) }}></Input>
        </view>
        <view className='flex-h'>
          <Input className='flex-item' placeholder='请输入户号' value={FormData.RoomNum} onInput={(e) => { setFormData({ ...FormData, RoomNum: e.detail.value }) }}></Input>
        </view> */}
      </view>
      <view className='BottomBtn'>
        <text>提交</text>
      </view>
    </view>
  )
}
